package com.ximai.common.core.domain;



import java.util.List;
import java.util.Map;

public class PreviewParameters {

	/**
	 * 签名
	 */
	private String sign;

	private Map<String, Object> values;

	private List<Map<String, Object>> valueList;

	/**
	 * 报表名称
	 */
	private String reportName;

	/**
	 * 表单参数
	 */
	private Map<String, Object> query;

	/**
	 * 表单对应组件唯一标识
	 */
	private Map<String, String> component;

	/**
	 * 图表图片目前用于PDF导出
	 */
	private Map<String, String> chartImages;

	public String getSign() {
		return sign;
	}

	public void setSign(String sign) {
		this.sign = sign;
	}

	public Map<String, Object> getValues() {
		return values;
	}

	public void setValues(Map<String, Object> values) {
		this.values = values;
	}

	public String getReportName() {
		return reportName;
	}

	public void setReportName(String reportName) {
		this.reportName = reportName;
	}

	public Map<String, Object> getQuery() {
		return query;
	}

	public void setQuery(Map<String, Object> query) {
		this.query = query;
	}

	public Map<String, String> getComponent() {
		return component;
	}

	public void setComponent(Map<String, String> component) {
		this.component = component;
	}

	public Map<String, String> getChartImages() {
		return chartImages;
	}

	public void setChartImages(Map<String, String> chartImages) {
		this.chartImages = chartImages;
	}

	public List<Map<String, Object>> getValueList() {
		return valueList;
	}

	public void setValueList(List<Map<String, Object>> valueList) {
		this.valueList = valueList;
	}
}
